System.ServiceModel 4.0.0.0 System.Object System.Collections.Generic.ICollection<System.Collections.Generic.KeyValuePair<System.String,System.Object>> System.Collections.Generic.IDictionary<System.String,System.Object> System.Collections.Generic.IEnumerable<System.Collections.Generic.KeyValuePair<System.String,System.Object>> System.IDisposable

As a message passes through the channel infrastructure, it passes through a number of logically separate processing entities. For instance, a message that is part of a reliable messaging stream can potentially pass through a , a transport-level channel provider, the reliable-messaging channel provider, the streaming channel provider or any channel extensions. Sometimes these intermediaries annotate the message with the results of that processing by using the class. A instance is an annotation on a message and is stored as a set of name-to-object mappings in the property of a instance.

The message properties should be cleared out when the user gets the following error:

The server committed a protocol violation. Section=ResponseBody Detail=Response chunk format is invalid

Represents a set of properties for a message. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with preset properties.

  A .
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Adds an element with the specified name and property into the collection.

  The name of the element to add. The value of the element to add.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that specifies whether to store this message before giving it to the transport.

- Method
  4.0.0.0
  System.Void To be added.

  Removes all elements from the collection.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the contains a specific name, key, or identifier.

  true if the contains an element with the specified ; otherwise, false.

  The name, key, or identifier to locate in the .
- Method
  4.0.0.0
  System.Void `` To be added.

  Copies the content of the specified to this instance.

  A object in which to copy from.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the total number of properties in the .

- Method
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the occupied.

  Always call before you release your last reference to the . Otherwise, the resources it is using are not freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the class.

- Property
  4.0.0.0
  System.ServiceModel.Channels.MessageEncoder To be added.

  This property specifies a message encoder that can be used to serialize or deserialize the message instance this instance is attached to.

  Gets the encoder that is used to write messages to a stream and to read messages from a stream.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the has a fixed size.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether this set of properties is read-only.

- Property
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.String> To be added. To be added.

  Gets an that contains the keys in the .

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Removes the element with the specified name from the .

  true if the contains an element with the specified and can be removed; otherwise, false.

  The name of the element to remove.
- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityMessageProperty To be added.

  HTTP client authentication results are translated into an instance of , which is attached to the message using a . This property can be used by higher layers to implement arbitrary authorization logic.

  Gets or sets the security-related property of a message.

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.Collections.Generic.KeyValuePair<System.String,System.Object>> To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that can iterate through a collection.

  An that can be used to iterate through the collection.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.Object> To be added. To be added.

  Gets an that contains the values in the .

- Property
  4.0.0.0
  System.Uri To be added.

  The transport channel owns the property and it overwrites whatever value you set for the message headers. You do have one opportunity to set the channel's Via, which is during the creation of the channel from the channel factory, for example, with .

  Gets or sets the transport address that is used to send messages.